org.jboss.jca.core.tx.noopts

## Class LocalConnectableXAResourceImpl

- java.lang.Object
- - org.jboss.jca.core.tx.noopts.LocalXAResourceImpl
  - - org.jboss.jca.core.tx.noopts.LocalConnectableXAResourceImpl

- All Implemented Interfaces:
    javax.transaction.xa.XAResource, org.jboss.jca.core.spi.transaction.ConnectableResource, org.jboss.jca.core.spi.transaction.LastResource, org.jboss.jca.core.spi.transaction.local.LocalXAResource, org.jboss.jca.core.spi.transaction.xa.XAResourceWrapper

      public class LocalConnectableXAResourceImpl
      extends LocalXAResourceImpl
      implements org.jboss.jca.core.spi.transaction.ConnectableResource

  Local connectable XA resource implementation.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from interface javax.transaction.xa.XAResource

      `TMENDRSCAN, TMFAIL, TMJOIN, TMNOFLAGS, TMONEPHASE, TMRESUME, TMSTARTRSCAN, TMSUCCESS, TMSUSPEND, XA_OK, XA_RDONLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalConnectableXAResourceImpl(java.lang.String productName, java.lang.String productVersion, java.lang.String jndiName, org.jboss.jca.core.spi.transaction.ConnectableResource cr)` Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getConnection()` Get a connection from the resource
    `void` | `setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)` Set connectable resource listener

    - ### Methods inherited from class org.jboss.jca.core.tx.noopts.LocalXAResourceImpl

      `commit, end, forget, getJndiName, getProductName, getProductVersion, getResource, getTransactionTimeout, isSameRM, prepare, recover, rollback, setConnectionListener, setConnectionManager, setTransactionTimeout, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalConnectableXAResourceImpl

          public LocalConnectableXAResourceImpl(java.lang.String productName,
                                                java.lang.String productVersion,
                                                java.lang.String jndiName,
                                                org.jboss.jca.core.spi.transaction.ConnectableResource cr)

      Creates a new instance.
      Parameters:
        `productName` - product name
        `productVersion` - product version
        `jndiName` - jndi name
        `cr` - connectable resource

  - ### Method Detail

    - #### getConnection

          public java.lang.Object getConnection()
                                         throws java.lang.Exception

      Get a connection from the resource
      Specified by:
        `getConnection` in interface `org.jboss.jca.core.spi.transaction.ConnectableResource`
      Returns:
        The connection
      Throws:
        `java.lang.Exception` - If an error occurs

    - #### setConnectableResourceListener

          public void setConnectableResourceListener(org.jboss.jca.core.spi.transaction.ConnectableResourceListener crl)

      Set connectable resource listener
      Specified by:
        `setConnectableResourceListener` in interface `org.jboss.jca.core.spi.transaction.ConnectableResource`
      Parameters:
        `crl` - The connectable resource listener

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)